summaryrefslogtreecommitdiffstats
path: root/libraries/raylib/raylib.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'libraries/raylib/raylib.SlackBuild')
-rw-r--r--libraries/raylib/raylib.SlackBuild14
1 files changed, 9 insertions, 5 deletions
diff --git a/libraries/raylib/raylib.SlackBuild b/libraries/raylib/raylib.SlackBuild
index ced5ee1f3c..73efeb0417 100644
--- a/libraries/raylib/raylib.SlackBuild
+++ b/libraries/raylib/raylib.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for raylib
-# Copyright 2022-2023 rc-05 <rc_o5@protonmail.com>
+# Copyright 2024 rc_05 <contact@rc-05.com>
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -25,7 +25,7 @@
cd $(dirname $0) ; CWD=$(pwd)
PRGNAM=raylib
-VERSION=${VERSION:-4.5.0}
+VERSION=${VERSION:-5.0}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
PKGTYPE=${PKGTYPE:-tgz}
@@ -47,6 +47,9 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
+JARXM_LINEAR_INTERPOLATION=${JARXM_LINEAR_INTERPOLATION:-0}
+WAYLAND=${WAYLAND:-0}
+
if [ "$ARCH" = "i586" ]; then
SLKCFLAGS="-O2 -march=i586 -mtune=i686"
LIBDIRSUFFIX=""
@@ -76,7 +79,9 @@ find -L . \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
-patch -d src < $CWD/jarxm_linear_interpolation.patch
+if [ $JARXM_LINEAR_INTERPOLATION -eq 1 ]; then
+ patch -d src < $CWD/jarxm_linear_interpolation.patch
+fi
mkdir -p build
cd build
@@ -86,8 +91,7 @@ cd build
-DCMAKE_INSTALL_PREFIX=/usr \
-DCMAKE_BUILD_TYPE=Release \
-DBUILD_SHARED_LIBS=ON \
- -DUSE_EXTERNAL_GLFW=${GLFW:-OFF} \
- -DUSE_WAYLAND=${WAYLAND:-OFF} \
+ -DUSE_WAYLAND=`[[ $WAYLAND -eq 1 ]] && echo "ON" || echo "OFF"` \
-DBUILD_EXAMPLES=OFF ..
make RAYLIB_MODULE_RAYGUI=TRUE
make install DESTDIR=$PKG